# normalize-space

normalize-space() → xs:string

Eliminates redundant spaces from the string value of the context item

There are no arguments
Result | xs:string

normalize-space($arg as xs:string?) → xs:string

Eliminates redundant spaces from the supplied string

Arguments
| $arg | xs:string? | The string to be normalized
Result | xs:string

Links to W3C specifications

Namespace: http://www.w3.org/2005/xpath-functions

Applies to: XPath 2.0, XSLT 2.0, XQuery 1.0 and later versions

XPath 2.0 Specification

XPath 3.0 Specification

Notes on the Saxon implementation

The function is fully implemented according to the W3C specifications.

Next